package du6;


import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author votavon1
 */
public class Du6Test {
    
    public Du6Test() {
    }

    @Test
    public void testKruzniceKonstruktor(){
        Kruznice k1 = new Kruznice(3);
        assertEquals(k1.getPolomer(), 3.0, 1e-9);
        Kruznice k2 = new Kruznice(5);
        assertEquals(k2.getPolomer(), 5.0, 1e-9);
    }
    
    @Test
    public void testKruzniceSetter(){
        Kruznice k1 = new Kruznice(Math.PI);
        k1.setPolomer(1);
        assertEquals(k1.getPolomer(), 1.0, 1e-9);
    }
    
    @Test
    public void testKruzniceAritmetika(){
        Kruznice k1 = new Kruznice(3);
        assertEquals(k1.getObvod(), 18.84955592153876, 1e-9);
        assertEquals(k1.getObsah(), 28.274333882308138, 1e-9);
    }
    
    @Test
    public void testKruzniceEquals(){
        Kruznice k1 = new Kruznice(3);
        Kruznice k2 = new Kruznice(5);
        Kruznice k3 = new Kruznice(5);
        assertTrue(!k3.equals(k1));
        assertEquals(k3, k2);
    }

}
